package com.atlassian.bitbucket.mesh.throttle;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class NoSuchResourceException extends RuntimeException {

    private final String resourceName;

    public NoSuchResourceException(String message, @Nonnull String resourceName) {
        super(message);

        this.resourceName = requireNonNull(resourceName, "resourceName");
    }

    @Nonnull
    public String getResourceName() {
        return resourceName;
    }
}
